petsc-3.13.6 2020-09-29
Report Typos and Errors

# KSPHPDDMSetDeflationSpace

Sets the deflation space used by Krylov methods with recycling. This space is viewed as a set of vectors stored in a MATDENSE (column major).

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPHPDDMSetDeflationSpace(KSP ksp, Mat U)

### Input Parameters

| ksp | - iterative context
| U | - deflation space to be used during KSPSolve()

### See Also

KSPCreate(), KSPType (for list of available types), KSPHPDDMGetDeflationSpace()

### Level

intermediate

### Location

src/ksp/ksp/impls/hpddm/hpddm.cxx

### Examples

src/ksp/ksp/tutorials/ex75.c.html
src/ksp/ksp/tutorials/ex75f.F90.html

### Implementations

KSPHPDDMSetDeflationSpace_HPDDM in src/ksp/ksp/impls/hpddm/hpddm.cxx
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages